variables:
  OSDU_GCP_SERVICE: notification
  OSDU_GCP_VENDOR: gcp
  OSDU_GCP_HELM_DEPLOYMENT_DIR: "devops/gcp/deploy"
  OSDU_GCP_HELM_CONFIG_DIR: "devops/gcp/configmap"
  OSDU_GCP_HELM_NAMESPACE: "default"
  OSDU_GCP_HELM_CONFIG_SERVICE_VARS: " --set data.log_level=$OSDU_GCP_LOG_LEVEL --set data.app_project=$OSDU_GCP_PROJECT --set data.app_googleaudience=$GOOGLE_AUDIENCE --set data.google_audiences=$GOOGLE_AUDIENCE --set data.app_register=$OSDU_GCP_REGISTER_API"
  OSDU_GCP_HELM_CONFIG_SERVICE_VARS_DEV2: " --set data.log_level=$OSDU_GCP_LOG_LEVEL --set data.app_project=$OSDU_GCP_PROJECT --set data.app_googleaudience=$GOOGLE_AUDIENCE --set data.google_audiences=$GOOGLE_AUDIENCE --set data.app_register=$OSDU_GCP_REGISTER_API"
  OSDU_GCP_HELM_DEPLOYMENT_SERVICE_VARS: "--set data.image=$CI_REGISTRY_IMAGE/osdu-gcp:$CI_COMMIT_SHORT_SHA --set data.serviceAccountName=$OSDU_GCP_SERVICE-k8s"
  OSDU_GCP_HELM_CONFIG_SERVICE: "notification-config"
  OSDU_GCP_HELM_DEPLOYMENT_SERVICE: "notification-deploy"
  OSDU_GCP_HELM_PACKAGE_CHARTS: "devops/gcp/deploy devops/gcp/configmap"

  AWS_BUILD_SUBDIR: provider/notification-aws/build-aws
  AWS_TEST_SUBDIR: testing/notification-test-aws
  AWS_SERVICE: notification
  AWS_ENVIRONMENT: dev
  AWS_DEPLOY_TARGET: EKS
  AWS_EKS_DEPLOYMENT_NAME: os-notification

  AZURE_SERVICE: notification
  AZURE_BUILD_SUBDIR: provider/notification-azure
  AZURE_TEST_SUBDIR: testing/notification-test-azure
  AZURE_DEPLOYMENTS_SUBDIR: deployments/scripts/azure

  IBM_BUILD_SUBDIR: provider/notification-ibm
  IBM_INT_TEST_SUBDIR: testing/notification-test-ibm

include:
  - project: "osdu/platform/ci-cd-pipelines"
    ref: "master"
    file: "standard-setup.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    ref: "master"
    file: "build/maven.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    ref: "master"
    file: "scanners/fossa.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    ref: "master"
    file: "scanners/gitlab-ultimate.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    ref: "master"
    file: "cloud-providers/azure.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/osdu-gcp-gke.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/aws.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/ibm.yml"

osdu-gcp-test:
  variables:
    ENVIRONMENT: $OSDU_GCP_ENVIRONMENT
    REGISTER_BASE_URL: $OSDU_GCP_REGISTER_BASE_URL

osdu-gcp-dev2-test:
 variables:
   ENVIRONMENT: $OSDU_GCP_ENVIRONMENT
   REGISTER_BASE_URL: $OSDU_GCP_REGISTER_BASE_URL
